{
    attributes = (
        {
            columnName = "C_ELEMENT"; 
            externalType = VARCHAR2; 
            name = cElement; 
            valueClassName = NSString; 
            valueType = S; 
            width = 6; 
        }, 
        {
            allowsNull = Y; 
            columnName = "C_IMPOSITION"; 
            externalType = VARCHAR2; 
            name = cImposition; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "C_TYPE_OCCURENCE"; 
            externalType = VARCHAR2; 
            name = cTypeOccurence; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = IDKX10; 
            externalType = VARCHAR2; 
            name = idkx10; 
            valueClassName = NSString; 
            valueType = S; 
            width = 41; 
        }, 
        {
            columnName = IDKX10ELT; 
            externalType = VARCHAR2; 
            name = idkx10elt; 
            valueClassName = NSString; 
            valueType = S; 
            width = 45; 
        }, 
        {
            allowsNull = Y; 
            columnName = "IMPUT_BUDGET"; 
            externalType = VARCHAR2; 
            name = imputBudget; 
            valueClassName = NSString; 
            valueType = S; 
            width = 8; 
        }, 
        {
            columnName = "KELM_ID"; 
            externalType = NUMBER; 
            name = kelmId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "L_COMPLEMENTAIRE"; 
            externalType = VARCHAR2; 
            name = lComplementaire; 
            valueClassName = NSString; 
            valueType = S; 
            width = 25; 
        }, 
        {
            allowsNull = Y; 
            columnName = "MT_ELEMENT"; 
            externalType = NUMBER; 
            name = mtElement; 
            precision = 8; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }
    ); 
    attributesUsedForLocking = (
        idkx10elt, 
        idkx10, 
        cElement, 
        cTypeOccurence, 
        cImposition, 
        imputBudget, 
        lComplementaire, 
        kelmId
    ); 
    className = "org.cocktail.kaki.server.metier.EOKx10Element"; 
    classProperties = (
        cTypeOccurence, 
        cImposition, 
        imputBudget, 
        mtElement, 
        lComplementaire, 
        kx10, 
        idkx10elt, 
        kxElement
    ); 
    externalName = "jefy_paf.KX_10_ELEMENT"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            cTypeOccurence, 
            cImposition, 
            imputBudget, 
            mtElement, 
            lComplementaire, 
            kx10, 
            idkx10elt, 
            kxElement
        ); 
        "_javaClientClassName" = "org.cocktail.kaki.client.metier.EOKx10Element"; 
    }; 
    name = Kx10Element; 
    primaryKeyAttributes = (idkx10elt); 
    relationships = (
        {
            destination = Kx10; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = idkx10; sourceAttribute = idkx10; }); 
            name = kx10; 
        }, 
        {
            destination = KxElement; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = kelmId; sourceAttribute = kelmId; }); 
            name = kxElement; 
        }
    ); 
}
